mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.All, AllowMultiple=true) System.Runtime.InteropServices.ComVisible(true)

This attribute can be used at the assembly level. Typically the attribute constructors take two types. The two types are a visualizer and a visualizer object source, specified as types or as fully qualified assembly type names. The second option is provided so that the visualizer assembly does not need to be referenced by the assembly containing the . This allows a component creator to ship the visualizer in a DLL to be called only at debug time. The property specifies the visualizer description that appears in the drop-down box. The target parameters specify the type that is the target of the visualizer. For more information about visualizers, see Visualizers.

Visualizer and visualizer object source implementation is dependent upon the hosting debugger. For information on creating a visualizer for vsprvslong, see How to: Write a Visualizer.

Specifies that the type has a visualizer. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The can be applied to assemblies, classes, and structures. For information on the use of this attribute, see How to: Write a Visualizer.

  Initializes a new instance of the class, specifying the type name of the visualizer.

  The fully qualified type name of the visualizer.
- Constructor
  2.0.0.0
  4.0.0.0

  The can be applied to assemblies, classes, and structures. For information on the use of this attribute, see How to: Write a Visualizer.

  Initializes a new instance of the class, specifying the type of the visualizer.

  The type of the visualizer.
- Constructor
  2.0.0.0
  4.0.0.0

  The can be applied to assemblies, classes, and structures. For information on the use of this attribute, see How to: Write a Visualizer.

  Initializes a new instance of the class, specifying the type name of the visualizer and the type name of the visualizer object source.

  The fully qualified type name of the visualizer.
  The fully qualified type name of the visualizer object source.
- Constructor
  2.0.0.0
  4.0.0.0

  The can be applied to assemblies, classes, and structures. For information on the use of this attribute, see How to: Write a Visualizer.

  Initializes a new instance of the class, specifying the type name of the visualizer and the type of the visualizer object source.

  The fully qualified type name of the visualizer.
  The type of the visualizer object source.
- Constructor
  2.0.0.0
  4.0.0.0

  The can be applied to assemblies, classes, and structures. For information on the use of this attribute, see How to: Write a Visualizer.

  Initializes a new instance of the class, specifying the type of the visualizer and the type name of the visualizer object source.

  The type of the visualizer.
  The fully qualified type name of the visualizer object source.
- Constructor
  2.0.0.0
  4.0.0.0

  The can be applied to assemblies, classes, and structures. For information on the use of this attribute, see How to: Write a Visualizer.

  Initializes a new instance of the class, specifying the type of the visualizer and the type of the visualizer object source.

  The type of the visualizer.
  The type of the visualizer object source.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the description of the visualizer.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets or sets the target type when the attribute is applied at the assembly level.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the target was specified by type (rather than by type name), the name returned is the property of the target type.

  Gets or sets the fully qualified type name when the attribute is applied at the assembly level.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the visualizer object source was specified by its type, then the value returned is the property of the visualizer object source type.

  A visualizer object source created for vsprvslong should inherit from the vsprvs class VisualizerObjectSource class. For information on creating a visualizer, see How to: Write a Visualizer.

  Gets the fully qualified type name of the visualizer object source.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the visualizer was specified by its type, then the value returned is the property for the visualizer type.

  For information on creating a visualizer, see How to: Write a Visualizer.

  Gets the fully qualified type name of the visualizer.